describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/lunch')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/meals')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/lunch')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Carrot and Hummus Roll-Ups')
            .should('contain', 'Healthy Green Club Sandwich')
            .should('contain', "Mel's Hearty Vegetable Soup")
        })
        it('roll ups link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/roll-ups')
          })
          it('sandwich link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/club-sandwich')
          })
          it('vegsoup link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/veg-soup')
          })
    })